# Zenfirewall Apache 2.4+ Blocklist
# Generated: 2026-01-15 03:00:02
# IPs reported in last 24 hours (SCAN attacks)
# Total IPs: 221
# Usage: Include this file in your Apache configuration (Apache 2.4+)
#
# Example Apache configuration:
#   <Directory /var/www/html>
#       Include /path/to/zenblock-scan-apache-24h.conf
#   </Directory>

<RequireAll>
    Require all granted
    Require not ip 100.52.230.232
    Require not ip 103.125.31.222
    Require not ip 103.163.161.30
    Require not ip 103.65.236.153
    Require not ip 103.65.237.216
    Require not ip 103.77.107.57
    Require not ip 104.196.207.114
    Require not ip 104.207.34.74
    Require not ip 108.129.148.52
    Require not ip 108.136.162.67
    Require not ip 111.108.111.47
    Require not ip 112.198.67.80
    Require not ip 119.249.100.180
    Require not ip 119.249.100.49
    Require not ip 13.221.14.10
    Require not ip 13.49.127.119
    Require not ip 13.79.87.25
    Require not ip 130.195.240.14
    Require not ip 130.195.240.8
    Require not ip 136.115.2.221
    Require not ip 136.117.64.54
    Require not ip 136.118.244.100
    Require not ip 136.119.138.188
    Require not ip 138.255.179.66
    Require not ip 139.59.224.88
    Require not ip 141.98.11.171
    Require not ip 142.248.80.57
    Require not ip 142.93.102.171
    Require not ip 146.19.216.144
    Require not ip 146.190.100.13
    Require not ip 146.70.160.236
    Require not ip 146.70.184.111
    Require not ip 147.182.151.27
    Require not ip 152.42.206.165
    Require not ip 158.101.217.27
    Require not ip 158.94.210.182
    Require not ip 159.223.66.86
    Require not ip 159.223.95.4
    Require not ip 159.26.120.16
    Require not ip 159.65.12.198
    Require not ip 159.89.13.177
    Require not ip 16.171.199.70
    Require not ip 160.187.210.199
    Require not ip 160.30.179.245
    Require not ip 162.244.149.218
    Require not ip 165.232.163.14
    Require not ip 165.232.165.131
    Require not ip 167.99.76.16
    Require not ip 170.64.140.52
    Require not ip 172.182.200.144
    Require not ip 172.190.142.176
    Require not ip 176.65.134.45
    Require not ip 176.96.137.48
    Require not ip 177.53.214.139
    Require not ip 177.7.178.190
    Require not ip 18.197.25.60
    Require not ip 18.201.84.234
    Require not ip 18.202.35.17
    Require not ip 181.117.188.87
    Require not ip 185.177.72.75
    Require not ip 188.212.135.1
    Require not ip 188.212.135.104
    Require not ip 188.212.135.112
    Require not ip 188.212.135.120
    Require not ip 188.212.135.123
    Require not ip 188.212.135.136
    Require not ip 188.212.135.148
    Require not ip 188.212.135.152
    Require not ip 188.212.135.153
    Require not ip 188.212.135.206
    Require not ip 191.101.157.25
    Require not ip 191.101.157.76
    Require not ip 191.101.157.77
    Require not ip 191.101.157.82
    Require not ip 191.101.157.87
    Require not ip 193.32.126.221
    Require not ip 193.37.32.142
    Require not ip 193.37.32.149
    Require not ip 193.37.32.166
    Require not ip 193.37.32.63
    Require not ip 193.37.32.66
    Require not ip 193.37.32.75
    Require not ip 194.5.82.10
    Require not ip 194.5.82.21
    Require not ip 194.5.82.53
    Require not ip 194.5.83.28
    Require not ip 194.5.83.42
    Require not ip 195.178.110.162
    Require not ip 195.178.110.191
    Require not ip 195.178.110.223
    Require not ip 195.24.236.18
    Require not ip 196.115.156.218
    Require not ip 2.58.56.98
    Require not ip 20.205.96.233
    Require not ip 20.24.211.42
    Require not ip 20.42.210.242
    Require not ip 20.78.178.218
    Require not ip 20.89.214.47
    Require not ip 202.46.62.69
    Require not ip 202.46.62.99
    Require not ip 203.80.161.102
    Require not ip 209.163.116.194
    Require not ip 209.50.179.70
    Require not ip 213.250.198.146
    Require not ip 216.24.212.26
    Require not ip 216.26.230.235
    Require not ip 216.26.233.166
    Require not ip 216.81.245.209
    Require not ip 216.81.248.30
    Require not ip 217.15.163.226
    Require not ip 220.181.108.113
    Require not ip 3.254.52.113
    Require not ip 34.10.67.166
    Require not ip 34.11.122.204
    Require not ip 34.11.14.253
    Require not ip 34.11.227.21
    Require not ip 34.133.197.93
    Require not ip 34.135.19.75
    Require not ip 34.138.105.169
    Require not ip 34.138.22.237
    Require not ip 34.140.204.180
    Require not ip 34.145.187.0
    Require not ip 34.148.50.147
    Require not ip 34.168.243.14
    Require not ip 34.186.56.58
    Require not ip 34.186.66.115
    Require not ip 34.187.213.155
    Require not ip 34.187.240.78
    Require not ip 34.19.66.186
    Require not ip 34.19.90.252
    Require not ip 34.21.58.147
    Require not ip 34.243.253.145
    Require not ip 34.248.74.63
    Require not ip 34.26.214.84
    Require not ip 34.26.74.21
    Require not ip 34.27.147.29
    Require not ip 34.28.222.65
    Require not ip 34.41.44.66
    Require not ip 34.52.146.253
    Require not ip 34.53.95.161
    Require not ip 34.68.185.191
    Require not ip 34.73.152.230
    Require not ip 34.73.185.88
    Require not ip 34.75.139.250
    Require not ip 34.82.102.77
    Require not ip 34.82.170.205
    Require not ip 34.82.52.122
    Require not ip 34.86.234.232
    Require not ip 34.90.243.22
    Require not ip 35.185.114.214
    Require not ip 35.185.209.208
    Require not ip 35.185.49.215
    Require not ip 35.185.82.148
    Require not ip 35.188.247.116
    Require not ip 35.196.187.154
    Require not ip 35.199.156.100
    Require not ip 35.224.244.116
    Require not ip 35.225.131.78
    Require not ip 35.226.206.6
    Require not ip 35.226.219.149
    Require not ip 35.227.103.154
    Require not ip 35.227.166.238
    Require not ip 35.227.93.155
    Require not ip 35.229.104.228
    Require not ip 35.229.20.81
    Require not ip 35.231.134.100
    Require not ip 35.233.153.202
    Require not ip 35.233.231.149
    Require not ip 35.245.30.87
    Require not ip 36.83.114.254
    Require not ip 37.140.223.195
    Require not ip 37.140.223.214
    Require not ip 37.187.133.42
    Require not ip 39.173.76.6
    Require not ip 4.147.187.31
    Require not ip 4.190.188.56
    Require not ip 4.190.201.130
    Require not ip 4.194.107.19
    Require not ip 4.194.112.230
    Require not ip 4.197.150.118
    Require not ip 4.197.167.136
    Require not ip 4.213.99.137
    Require not ip 4.214.17.14
    Require not ip 4.214.41.69
    Require not ip 4.217.217.16
    Require not ip 40.69.66.178
    Require not ip 44.193.39.20
    Require not ip 45.94.31.58
    Require not ip 46.101.151.74
    Require not ip 46.101.36.56
    Require not ip 47.128.113.33
    Require not ip 47.128.31.245
    Require not ip 52.169.148.186
    Require not ip 52.178.176.146
    Require not ip 52.184.97.233
    Require not ip 52.213.243.19
    Require not ip 57.141.0.1
    Require not ip 57.141.0.41
    Require not ip 62.210.144.129
    Require not ip 64.112.126.83
    Require not ip 64.191.166.37
    Require not ip 64.62.156.122
    Require not ip 64.62.156.66
    Require not ip 64.62.197.92
    Require not ip 65.111.26.233
    Require not ip 74.225.153.249
    Require not ip 74.225.208.38
    Require not ip 80.124.54.14
    Require not ip 85.203.44.11
    Require not ip 85.203.44.120
    Require not ip 85.203.44.130
    Require not ip 85.203.44.137
    Require not ip 85.203.44.141
    Require not ip 85.203.44.150
    Require not ip 85.203.44.151
    Require not ip 85.203.44.153
    Require not ip 85.203.44.154
    Require not ip 85.203.44.156
    Require not ip 85.203.44.166
    Require not ip 91.239.157.217
    Require not ip 94.198.40.124
</RequireAll>
